LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros
support.h File Reference
`#include <gtk/gtk.h>`

Go to the source code of this file.

## Macros
#define | lives_strdup(a) g_strdup(a)
#define | lives_free(a) g_free(a)
#define | lives_locale_to_utf8(a, b, c, d, e) g_locale_to_utf8(a,b,c,d,e)
#define | textdomain(String) (String)
#define | gettext(String) (String)
#define | dgettext(Domain, Message) (Message)
#define | dngettext(Domain, Message, MsgPlur, n) (Message)
#define | dcgettext(Domain, Message, Type) (Message)
#define | bindtextdomain(Domain, Directory) (Domain)
#define | _(String) (String)
#define | N_(String) (String)
#define | P_(String, StringPlural, n) (String)

## Macro Definition Documentation

#define _ | ( |  | String | ) | (String)

#define bindtextdomain | ( |  | Domain,
|  |  | Directory
| ) |  | (Domain)

#define dcgettext | ( |  | Domain,
|  |  | Message,
|  |  | Type
| ) |  | (Message)

#define dgettext | ( |  | Domain,
|  |  | Message
| ) |  | (Message)

#define dngettext | ( |  | Domain,
|  |  | Message,
|  |  | MsgPlur,
|  |  | n
| ) |  | (Message)

#define gettext | ( |  | String | ) | (String)

#define lives_free | ( |  | a | ) | g_free(a)

#define lives_locale_to_utf8 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e
| ) |  | g_locale_to_utf8(a,b,c,d,e)

#define lives_strdup | ( |  | a | ) | g_strdup(a)

#define N_ | ( |  | String | ) | (String)

#define P_ | ( |  | String,
|  |  | StringPlural,
|  |  | n
| ) |  | (String)

#define textdomain | ( |  | String | ) | (String)